<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Tue Apr 09 16:33:00 CEST 2024 -->
<title>GestionePalestra</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-09">
<meta name="description" content="declaration: package: EsercizioPalestra, class: GestionePalestra">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">EsercizioPalestra</a></div>
<h1 title="Class GestionePalestra" class="title">Class GestionePalestra</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">EsercizioPalestra.GestionePalestra</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">GestionePalestra</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">GestionePalestra</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Costruttore  che inizializza lista degli abbonamenti dei membri della palestra e lista classi.</div>
</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(java.util.Map,java.util.List)" class="member-name-link">GestionePalestra</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;&nbsp;mappaAbbonamentiMembri,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;&nbsp;listaClassi)</code></div>
<div class="col-last odd-row-color">
<div class="block">Costruttore della classe completo</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#assegnaInsegnante(EsercizioPalestra.Istruttore,EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">assegnaInsegnante</a><wbr>(<a href="Istruttore.html" title="class in EsercizioPalestra">Istruttore</a>&nbsp;istruttoreDaAssegnare,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classe)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di assegnare un istruttore ad una data classe.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#calcoloMediaCorso(EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">calcoloMediaCorso</a><wbr>(<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classe)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di calcolare la media dei voti dati da piÃ¹ utenti ad una classe.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#dettagliCorsiGiornalieri(java.time.LocalDate)" class="member-name-link">dettagliCorsiGiornalieri</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;data)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di fornire tutti i dettagli di un dato corso di allenamento in base alla data che viene fornita.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getListaClassi()" class="member-name-link">getListaClassi</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMappaAbbonamentiMembri()" class="member-name-link">getMappaAbbonamentiMembri</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#iscrizioneMembroClasse(EsercizioPalestra.Membro,EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">iscrizioneMembroClasse</a><wbr>(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;membroDaIscrivere,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classeScelta)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di iscrivere un membro ad una data classe e gestisce le eccezioni.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#nuovaClasseAllenamento(EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">nuovaClasseAllenamento</a><wbr>(<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;nuovaClasse)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di aggiungere una nuova classe alla lista di classi(di allenamento) giÃ  esistenti.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#registrazioneNuovoMembro(EsercizioPalestra.Membro,EsercizioPalestra.TipologiaAbbonamento)" class="member-name-link">registrazioneNuovoMembro</a><wbr>(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;nuovoMembro,
 <a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&nbsp;abbonamentoScelto)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di registrare un nuovo membro con l'abbonamenteo abbinato.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setListaClassi(java.util.List)" class="member-name-link">setListaClassi</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;&nbsp;listaClassi)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setMappaAbbonamentiMembri(java.util.Map)" class="member-name-link">setMappaAbbonamentiMembri</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;&nbsp;mappaAbbonamentiMembri)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#votaIlCorso(EsercizioPalestra.Membro,EsercizioPalestra.ClasseDiAllenamento,int)" class="member-name-link">votaIlCorso</a><wbr>(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;membroVotante,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;corsoDaVotare,
 int&nbsp;voto)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Questo metodo si occupa di far votare un dato corso.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>GestionePalestra</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">GestionePalestra</span>()</div>
<div class="block">Costruttore  che inizializza lista degli abbonamenti dei membri della palestra e lista classi.</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.util.Map,java.util.List)">
<h3>GestionePalestra</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">GestionePalestra</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;&nbsp;mappaAbbonamentiMembri,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;&nbsp;listaClassi)</span></div>
<div class="block">Costruttore della classe completo</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getMappaAbbonamentiMembri()">
<h3>getMappaAbbonamentiMembri</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;</span>&nbsp;<span class="element-name">getMappaAbbonamentiMembri</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getListaClassi()">
<h3>getListaClassi</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;</span>&nbsp;<span class="element-name">getListaClassi</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setMappaAbbonamentiMembri(java.util.Map)">
<h3>setMappaAbbonamentiMembri</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setMappaAbbonamentiMembri</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Map.html" title="class or interface in java.util" class="external-link">Map</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&gt;&nbsp;mappaAbbonamentiMembri)</span></div>
</section>
</li>
<li>
<section class="detail" id="setListaClassi(java.util.List)">
<h3>setListaClassi</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setListaClassi</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&gt;&nbsp;listaClassi)</span></div>
</section>
</li>
<li>
<section class="detail" id="registrazioneNuovoMembro(EsercizioPalestra.Membro,EsercizioPalestra.TipologiaAbbonamento)">
<h3>registrazioneNuovoMembro</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">registrazioneNuovoMembro</span><wbr><span class="parameters">(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;nuovoMembro,
 <a href="TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a>&nbsp;abbonamentoScelto)</span></div>
<div class="block">Questo metodo si occupa di registrare un nuovo membro con l'abbonamenteo abbinato.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nuovoMembro</code> - Ã¨ il nuovo membro da registrare.</dd>
<dd><code>abbonamentoScelto</code> - Ã¨ la tipologia di abbonamento scelta dall'utente.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="nuovaClasseAllenamento(EsercizioPalestra.ClasseDiAllenamento)">
<h3>nuovaClasseAllenamento</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">nuovaClasseAllenamento</span><wbr><span class="parameters">(<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;nuovaClasse)</span></div>
<div class="block">Questo metodo si occupa di aggiungere una nuova classe alla lista di classi(di allenamento) giÃ  esistenti.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nuovaClasse</code> - Ã¨ la nuova classe che verrÃ  aggiunta.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="assegnaInsegnante(EsercizioPalestra.Istruttore,EsercizioPalestra.ClasseDiAllenamento)">
<h3>assegnaInsegnante</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">assegnaInsegnante</span><wbr><span class="parameters">(<a href="Istruttore.html" title="class in EsercizioPalestra">Istruttore</a>&nbsp;istruttoreDaAssegnare,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classe)</span></div>
<div class="block">Questo metodo si occupa di assegnare un istruttore ad una data classe.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>istruttoreDaAssegnare</code> - Ã¨ l'istruttore che verrÃ  assegnato ad una classe di allenamento.</dd>
<dd><code>classe</code> - Ã¨ la classe di allenamento.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="iscrizioneMembroClasse(EsercizioPalestra.Membro,EsercizioPalestra.ClasseDiAllenamento)">
<h3>iscrizioneMembroClasse</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">iscrizioneMembroClasse</span><wbr><span class="parameters">(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;membroDaIscrivere,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classeScelta)</span></div>
<div class="block">Questo metodo si occupa di iscrivere un membro ad una data classe e gestisce le eccezioni.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>membroDaIscrivere</code> - Ã¨ il membro che si si andrÃ  ad iscrivere ad una classe di allenamento.</dd>
<dd><code>classeScelta</code> - Ã¨ la classe scelta dall'utente.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="dettagliCorsiGiornalieri(java.time.LocalDate)">
<h3>dettagliCorsiGiornalieri</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">dettagliCorsiGiornalieri</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;data)</span></div>
<div class="block">Questo metodo si occupa di fornire tutti i dettagli di un dato corso di allenamento in base alla data che viene fornita.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>data</code> - Ã¨ la data del corso.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="votaIlCorso(EsercizioPalestra.Membro,EsercizioPalestra.ClasseDiAllenamento,int)">
<h3>votaIlCorso</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">votaIlCorso</span><wbr><span class="parameters">(<a href="Membro.html" title="class in EsercizioPalestra">Membro</a>&nbsp;membroVotante,
 <a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;corsoDaVotare,
 int&nbsp;voto)</span></div>
<div class="block">Questo metodo si occupa di far votare un dato corso.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>membroVotante</code> - Ã¨ il membro che vota il corso.</dd>
<dd><code>corsoDaVotare</code> - Ã¨ il corso che viene votato.</dd>
<dd><code>voto</code> - Ã¨ il voto dato.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="calcoloMediaCorso(EsercizioPalestra.ClasseDiAllenamento)">
<h3>calcoloMediaCorso</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">calcoloMediaCorso</span><wbr><span class="parameters">(<a href="ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a>&nbsp;classe)</span></div>
<div class="block">Questo metodo si occupa di calcolare la media dei voti dati da piÃ¹ utenti ad una classe.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>classe</code> - Ã¨ la classe di allenamento votata.</dd>
<dt>Returns:</dt>
<dd>la media dei voti dati ad un corso.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
